---
title: "Update project details - Xata"
description: "Updates the details of a specific project by its ID, such as changing its name."
source: "https://xata.io/docs/api-reference/projects/update-project-details"
---

Skip to main content

PATCH

/

organizations

/

{organizationID}

/

projects

/

{projectID}

Update project details

```
curl --request PATCH
  --url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}
  --header 'Authorization: Bearer <token>'
  --header 'Content-Type: application/json'
  --data '
{
  "name": "<string>",
  "configuration": {}
}
'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}"

payload = {
    "name": "<string>",
    "configuration": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', configuration: {}})
};

fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "id": "<string>",
  "name": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "configuration": {
    "scaleToZero": {
      "baseBranches": {
        "enabled": true,
        "inactivityPeriodMinutes": 30
      },
      "childBranches": {
        "enabled": true,
        "inactivityPeriodMinutes": 30
      }
    },
    "ipFiltering": {
      "enabled": true,
      "cidr": [
        {
          "cidr": "<string>",
          "description": "<string>"
        }
      ]
    }
  }
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier of the organization containing the project

Pattern: `[a-zA-Z0-9_-~:]+`

​

projectID

string

required

Unique identifier of the project to update

#### Body

application/json

​

name

string

New name for the project

​

configuration

object

Partial configuration update for a project

Show child attributes

#### Response

Project successfully updated

Details of a project including its ID, name, and creation/update timestamps

​

id

string

required

Unique identifier for the project

​

name

string

required

Human-readable name of the project

​

createdAt

string\<date-time>

required

Timestamp when the project was created

​

updatedAt

string\<date-time>

required

Timestamp when the project was last updated

​

configuration

object

required

Configuration details for a project, including its scale to zero settings

Show child attributes

Was this page helpful?

[Previous](/docs/api-reference/projects/delete-a-project)

[Get project resource limits](/docs/api-reference/projects/get-project-resource-limits-1)

[Next](/docs/api-reference/projects/get-project-resource-limits-1)
